#!/usr/bin/env python
import sys

def build_amc_dependencies():

    sys.path.insert(0, '/opt/amc/server/setups/greenlet/')
    sys.path.insert(0, '/opt/amc/server/setups/setproctitle/')
    sys.path.insert(0, '/opt/amc/server/setups/pycrypto/')

    import greenlet_generator
    import setproctitle_generator
    import pycrypto_generator
    
    greenlet_status = greenlet_generator.generate_greenlet()
    setproctitle_status = setproctitle_generator.generate_setproctitle()
    pycrypto_status = pycrypto_generator.generate_pycrypto()

    if greenlet_status and setproctitle_status and pycrypto_status:                        
        return 0
    elif(greenlet_status!=1 and setproctitle_status!=1 and pycrypto_status!=1):
        return 1
    elif(greenlet_status!=1 and setproctitle_status!=1):
        return 2
    elif(setproctitle_status!= 1 and pycrypto_status!=1):
        return 3
    elif(greenlet_status!=1 and pycrypto_status!=1):
        return 4
    elif(greenlet_status != 1):
        return 5
    elif(setproctitle_status != 1):
        return 6
    elif(pycrypto_status != 1):
        return 7
    
    

